[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.FindIndexOf

Return index of named object.

## Declaration

Source position: contnrs.pp line 320

`public function TFPHashObjectList.FindIndexOf(`
`const s: shortstring`
`):Integer;`

## Arguments

`s` |  | Key value to look for

## Function result

Index of the key

## Description

FindIndexOf returns the index of the key AName, or -1 if the key does not exist in the list. It uses the hash value to search for the key.

## See also

TFPHashObjectList.HashOfIndex |  | Return the hash value of an object by index
TFPHashObjectList.NameOfIndex |  | Returns the key name of an object by index
TFPHashObjectList.IndexOf |  | Return the index of the object instance
TFPHashObjectList.Find |  | Find data associated with key
TFPHashObjectList.FindWithHash |  | Find first element with given name and hash value